depends_on:
  - test

steps:
- name: docker-push-tag
  image: woodpeckerci/plugin-docker-buildx
  privileged: true
  settings:
    registry: git.faercol.me
    repo: git.faercol.me/faercol/hugo-relie
    auto_tag: true
    platforms:
      - linux/amd64
    username:
      from_secret: GIT_USERNAME
    password:
      from_secret: GIT_PASSWORD

when:
  event: [tag]
